Can't connect with J-Flash to target (MIMRTX685)

cancel
Showing results for 
Search instead for 
Did you mean: 

Can't connect with J-Flash to target (MIMRTX685)

Jump to solution
213 Views
Contributor I

Hello,

I followed the videos and the documentation regarding setting up the MIMRTX685 evaluation board. However I can't debug on target. Neither the arm core or HiFi4 dsp. 
But let's start with very beginning. I would really appreciate some help to connect to the target with JFlash. Right now I get an error message "Could not find core in Coresight setup. Failed to connect, Could not establish a connection to target"

JFlash log

 

"Could not establish a connection to target.
Connecting ...
- Connecting via USB to probe/ programmer device 0
- Probe/ Programmer firmware: J-Link LPCXpresso V2 compiled Sep 23 2016 12:14:15
- Device "MIMXRT685S_M33" selected.
- Target interface speed: 4000 kHz (Fixed)
- VTarget = 3.300V
- InitTarget() start
- ERROR: Wrong DM-AP IDCODE detected: 0x00000000
- InitTarget() end
- Found SW-DP with ID 0x6BA02477
- Unknown DP version. Assuming DPv0
- Scanning AP map to find all available APs
- AP[1]: Stopped AP scan as end of AP map has been reached
- AP[0]: AHB-AP (IDR: 0x84770001)
- Iterating through AP map to find AHB-AP to use
- AP[0]: Skipped. Invalid implementer code read from CPUIDVal[31:24] = 0x00
- InitTarget() start
- ERROR: Wrong DM-AP IDCODE detected: 0x00000000
- InitTarget() end
- Found SW-DP with ID 0x6BA02477
- Unknown DP version. Assuming DPv0
- Scanning AP map to find all available APs
- AP[1]: Stopped AP scan as end of AP map has been reached
- AP[0]: AHB-AP (IDR: 0x84770001)
- Iterating through AP map to find AHB-AP to use
- AP[0]: Skipped. Invalid implementer code read from CPUIDVal[31:24] = 0x00
- ERROR: Could not find core in Coresight setup
- ERROR: Failed to connect.
Could not establish a connection to target."



Any help, thought, comment is appreciated.

Best Regards,
Anton

Labels (1)
0 Kudos
1 Solution
187 Views
NXP TechSupport
NXP TechSupport

Hello Anton, 

The problem might be due to you are using an old version of LPCScrypt. Could you please download the newest version available to see if this fixes the behavior you are facing? 

Link to download the LPCScrypt version 2.1.1_15. 

Regards,

Victor 

View solution in original post

0 Kudos
6 Replies
176 Views
Contributor I

Hi Victor,

Thank you very much fot this hint. It worked for me. I can now debug on target using the internal JLink probe after using the latest JLink LPC script.

Best Regards,
Anton

0 Kudos
177 Views
Contributor I

Hi Victor,

thank you very much for the hint. That worked for me. I can now debug using the internal Jlink probe after flashing with the latest LPC script.

Best Regards,
Anton

0 Kudos
205 Views
NXP TechSupport
NXP TechSupport

Hello Anton, 

What version of Jlink are you using? I just made a couple of tests on my side and I didn't find any issues while connecting to the RT through the JLink commander, see the below image. 

victorjimenez_0-1600214808953.png

Keep in mind that the on-board debugger communicates with the RT through SWD, not JTAG. So you need to select the proper interface. What version of LPC-SCRYPT did you use to program the JLink firmware? 

Regards, 

Victor 

0 Kudos
194 Views
Contributor I

Hi Victor,

Thank you for your reply. I have tried to fix the issue by myself and I got a bit further. I can connect now to the J Link on board but I get the following message:

 

Jlink messageJlink message

 

I get if I try to connect from J Flash or when I try to debug from MCU Expresso when the internal J Link prob is used. Do you have any hints or thoughts about reason for that?

Debugging works fo me with external J Link Segger prob and with the internal CMISS-DAP probe.

JLink version is 6.80d

LPC script version is 2.0.0.831

Best Regards,
Anton

0 Kudos
193 Views
Contributor I

Just a small post scriptum. I of course remember to update jumpers JP17, JP18, and JP19 when I switch between internal and eternal debug probes.

0 Kudos
188 Views
NXP TechSupport
NXP TechSupport

Hello Anton, 

The problem might be due to you are using an old version of LPCScrypt. Could you please download the newest version available to see if this fixes the behavior you are facing? 

Link to download the LPCScrypt version 2.1.1_15. 

Regards,

Victor 

View solution in original post

0 Kudos